Description

Related issues:

Related to Runtime Infrastructure - Feature #6486: complete the admin console New

History

#1 - 01/26/2023 06:36 PM - Greg Shah

Moving to a REST API will provide several benefits.

It will be a simpler and cleaner model than the current synchronous RPC approach.

It will enable:

The creation of a command line interface that can handle anything the admin console can do.

Customers or 3rd parties will be able to write custom tools to solve problems which we have not otherwise resolved.

#2 - 01/26/2023 07:10 PM - Greg Shah

- Related to Feature #6486: complete the admin console added

#3 - 01/27/2023 03:02 AM - Hynek Cihlar

A small clarification. The Admin remoting isn't based on RemoteObject since the GWT rewrite.

There are three (GWT) servlets AdminServiceImpl, AuthServiceImpl and ReportServlet in the package com.goldencode.p2j.admin.server. The

client-server channel is based on HTTP post requests with GWT specific serialization.

#4 - 01/27/2023 08:38 AM - Greg Shah

- Subject changed from replace admin console RemoteObject transport with a REST API to replace admin console GWT servlet transport with a REST

API
